DROP TABLE IF EXISTS MASTER.DBO.PRODUCT;
CREATE TABLE MASTER.DBO.PRODUCT (
  PRODUCER_NME VARCHAR(100),
  PRODUCT_NME  VARCHAR(100),
  R_YR  INT,
  R_MTH  INT,
  SOLD_NO NUMERIC(7,2)
);
     
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma', 'Lens 24mm', 2020,1,750);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma', 'Lens 24mm',2020,2,750);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma', 'Lens 50mm f1.4',2020,1,600);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma', 'Lens 50mm f1.4',2020,2,600);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma', 'Lens 24mm',2020,1,700);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma','Lens 50mm f1.4',2020,1,500);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma','Lens 50mm f1.4',2020,3,500);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sigma','Lens 50mm f1.4',2020,3,550);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony','Camera 7',2020,1,750);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony','Camera 7',2020,1,800);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Camera 7',2020,2,800);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Camera 7',2020,2,750);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Camera 7',2020,2,800);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Lens 85mm 1.4',2020,2,400);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Lens 85mm 1.4',2020,2,400);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Lens 85mm 1.4',2020,2,400);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Sony', 'Camera 7',2020,2,850);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Tamron', 'Lens 16mm f2',2020,1,900);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Tamron', 'Lens 16mm f2',2020,2,900);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Tamron', 'Lens 16mm f2',2020,2,900);
INSERT INTO MASTER.DBO.PRODUCT VALUES ('Tamron','Lens 16mm f2',2020,3,700);

SELECT * FROM MASTER.DBO.PRODUCT;

SELECT *
FROM 
(
  SELECT PRODUCER_NME, PRODUCT_NME, R_YR, R_MTH,SOLD_NO
  FROM MASTER.DBO.PRODUCT
) T
PIVOT
(
  SUM(SOLD_NO)
  FOR R_MTH IN ([1], [2], [3])
) PIV;

SELECT 
	PRODUCER_NME, 
	PRODUCT_NME, 
	R_YR,
	SUM(CASE WHEN R_MTH = 1 THEN SOLD_NO ELSE NULL END) AS MTH_1,
	SUM(CASE WHEN R_MTH = 2 THEN SOLD_NO ELSE NULL END) AS MTH_2,
	SUM(CASE WHEN R_MTH = 3 THEN SOLD_NO ELSE NULL END) AS MTH_3
FROM MASTER.DBO.PRODUCT 
GROUP BY 
	PRODUCER_NME, 
	PRODUCT_NME, 
	R_YR;